Bug 830617 - useradd errors during F16 to F17 upgrade
useradd errors during F16 to F17 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 21:55 EDT by John Mellor
Modified: 2013-08-01 14:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:10:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2012-06-10 21:55:11 EDT
Description of problem:
Useradd errors noted during F16 to F17 upgrade in /root/upgrade.log.syslog

Version-Release number of selected component (if applicable):

How reproducible:
unknown, failed useradds during F16 to F17 upgrade

Steps to Reproduce:
1. Upgrade a bog-stock and fully updated F16 to F17.

Actual results:
Contents of /root/upgrade.log.syslog after upgrade from F16 to F17:
Jun 10 10:01:51 sysimage sendmail[1058]: My unqualified host name (none) unknown; sleeping for retry
Jun 10 10:02:51 sysimage sendmail[1058]: unable to qualify my own domain name (none) -- using short name
Jun 10 10:02:51 sysimage sendmail[1058]: alias database /etc/aliases rebuilt by root
Jun 10 10:02:51 sysimage sendmail[1058]: /etc/aliases: 77 aliases, longest 10 bytes, 779 bytes total
Jun 10 10:17:39 sysimage useradd[13593]: failed adding user 'smolt', data deleted
Jun 10 10:23:19 sysimage useradd[13913]: failed adding user 'dbus', data deleted
Jun 10 10:25:09 sysimage useradd[14009]: failed adding user 'rpcuser', data deleted
Jun 10 10:25:09 sysimage groupmod[14014]: group changed in /etc/group (group nfsnobody/65534)
Jun 10 10:29:17 sysimage sendmail[14299]: My unqualified host name (none) unknown; sleeping for retry
Jun 10 10:30:17 sysimage sendmail[14299]: unable to qualify my own domain name (none) -- using short name
Jun 10 10:30:18 sysimage sendmail[14299]: alias database /etc/aliases rebuilt by root
Jun 10 10:30:18 sysimage sendmail[14299]: /etc/aliases: 77 aliases, longest 10 bytes, 779 bytes total
Jun 10 10:34:36 sysimage useradd[14482]: failed adding user 'apache', data deleted
Jun 10 10:34:39 sysimage useradd[14488]: failed adding user 'jetty', data deleted
Jun 10 10:35:42 sysimage useradd[14519]: failed adding user 'gdm', data deleted
Jun 10 10:35:46 sysimage useradd[14530]: failed adding user 'hsqldb', data deleted
Jun 10 10:38:49 sysimage useradd[14649]: failed adding user 'nm-openconnect', data deleted
Jun 10 10:56:03 sysimage useradd[16992]: failed adding user 'tcpdump', data deleted


Expected results:
Clean upgrade

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2013-02-27 16:51:35 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-02-28 09:07:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Gwyn Ciesla 2013-03-07 14:29:52 EST
Did this work any better f17->f18?
Comment 4 John Mellor 2013-03-07 20:50:36 EST
The same problems can be seen in /var/log/upgrade.log during an f17->f18 upgrade, interspersed throughout the package installs.

E.g:
Jan 20 15:46:48 sharan.mellor.dyndns.org useradd[13567]: failed adding user 'nm-openconnect', data deleted

So, not fixed in f18.
Comment 5 Gwyn Ciesla 2013-03-19 09:33:40 EDT
Looks like this is a useradd issue.

https://bugzilla.redhat.com/show_bug.cgi?id=462054
Comment 6 Tomas Mraz 2013-03-19 13:37:44 EDT
I think removing the confusing "data deleted" part of the message is fine however removing the message altogether would be bad idea. I can also add the failure exit code so the user can look up the reason in the useradd manual page.
Comment 7 Fedora End Of Life 2013-07-04 02:34:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:10:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.